<div>
  <h1>Price</h1>

  <table>
    <thead>
      <tr>
        <th>Product</th>
        <th>Count</th>
        <th>Price</th>
        <th>Total</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let p of products">
        <td>{{p.name}}</td>
        <td>{{p.count}}</td>
        <td>{{p.price | currency:'SEK'}}</td>
        <td>{{(p.count * p.price) | currency:'SEK'}}</td>
      </tr>
    </tbody>
    <tfoot>
      <tr>
        <th colspan="3">Sum Amount:</th>
        <td>{{sumAmount | currency:'SEK'}}</td>
      </tr>
      <tr>
        <th colspan="3">VAT Amount ({{vat | percent}}%):</th>
        <td>{{vatAmount | currency:'SEK'}}</td>
      </tr>
      <tr>
        <th colspan="3">Shipping Cost:</th>
        <td>{{shippingAmount | currency:'SEK'}}</td>
      </tr>
      <tr>
        <th colspan="3">Total Amount:</th>
        <td>{{totalAmount | currency:'SEK'}}</td>
      </tr>
    </tfoot>
  </table>

</div>
